Editing and Customization > Modding Help

PyDev can't import predefines despite knowing their location

(1/1)

Joe:
Hi,

I've told PyDev that the predefines are in: .../scripts/python/lib/GESource

I'm using Windows 8.1 64 bit with Python 2.6.

I have another question: does GE:S now support a Python version newer than 2.6?

Proxie:

--- Quote from: Joe on December 13, 2014, 12:30:12 am ---I have another question: does GE:S now support a Python version newer than 2.6?

--- End quote ---

Yeah, KM pushed 3.x here https://github.com/goldeneye-source/ges-python/tree/python3

Sorry I don't know anything about PyDev

EDIT: Is this what you're looking for? http://forums.geshl2.com/index.php/topic,7995.msg82260.html

Joe:

--- Quote from: Proxie on December 13, 2014, 06:56:43 am ---Yeah, KM pushed 3.x here https://github.com/goldeneye-source/ges-python/tree/python3

Sorry I don't know anything about PyDev

EDIT: Is this what you're looking for? http://forums.geshl2.com/index.php/topic,7995.msg82260.html

--- End quote ---

Thanks for answering my question about the support for newer Python versions.

The topic you've posted a link to isn't related to my problem because the predefined Python files are in my: .../scripts/python/lib/GESource directory.

If you've never tried doing GE:S Python scripting with Eclipse's PyDev plugin then I would recommend you do try it: you can use its debugger to debug a mode script when GE:S is running it. Here's the setup wiki page: http://wiki.geshl2.com/python/py_eclipse_editor

killermonkey:
Python 3 is for the next version of ges. Those script files won't work with the current ges. As for pydev it might be a new api that broke the predefines. They were always a little flaky.

Navigation

[0] Message Index

Go to full version